/* tslint:disable */
/* eslint-disable */
/**
*/
export function greet(): void;
/**
* 解析地图包Zip
* @param {Uint8Array} data
* @returns {MapPackage}
*/
export function parse_map_package(data: Uint8Array): MapPackage;
/**
*/
export class MapPackage {
  free(): void;
/**
* 图上坐标转经纬度
* @param {Offset} on_pic
* @returns {Position}
*/
  pic_to_position(on_pic: Offset): Position;
/**
* 经纬度转图上坐标
* @param {Position} position
* @returns {Offset}
*/
  position_to_pic(position: Position): Offset;
/**
* 地图缩放后后像素尺寸，用于计算新尺寸下地理坐标
*/
  dst_size: Size;
/**
* 地图图片格式
*/
  readonly map_ext: string;
/**
* 地图图片
*/
  readonly map_image_data: Uint8Array;
/**
* 地图原始像素尺寸
*/
  readonly src_size: Size;
}
/**
* 点在图片上的坐标，原点为左上角
*/
export class Offset {
  free(): void;
/**
*/
  constructor();
/**
*/
  x: number;
/**
*/
  y: number;
}
/**
*/
export class Position {
  free(): void;
/**
*/
  constructor();
/**
* 计算两点距离，单位：米
* @param {Position} other
* @returns {number}
*/
  distance_to(other: Position): number;
/**
*/
  latitude: number;
/**
*/
  longitude: number;
}
/**
*/
export class Size {
  free(): void;
/**
*/
  constructor();
/**
*/
  height: number;
/**
*/
  width: number;
}
